Bug 213964 - Xen needs oprofile updates for Intel CORE microarchitecture
Summary: Xen needs oprofile updates for Intel CORE microarchitecture
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen (Show other bugs)
(Show other bugs)
Version: 5.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Glauber Costa
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 215519
TreeView+ depends on / blocked
 
Reported: 2006-11-03 22:59 UTC by Stephen Tweedie
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: beta2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-23 02:03:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Stephen Tweedie 2006-11-03 22:59:45 UTC
Description of problem:
Under Xen, oprofile does not understand current CORE cpus.  Upstream patch
proposal for this is at:

http://lists.xensource.com/archives/html/xen-devel/2006-10/msg00032.html

Comment 2 Markus Armbruster 2006-11-17 14:10:11 UTC
Upstream took the patch: xen-unstable.hg cset 12478:ca9b569ffb63


Comment 3 Stephen Tweedie 2006-11-24 14:18:01 UTC
Patch appears to be low-risk, as it merely adds extra cases for the cpuids
returned by newer processors.

Comment 4 RHEL Product and Program Management 2006-11-28 02:50:51 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 5 RHEL Product and Program Management 2006-11-28 02:51:17 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 6 Jay Turner 2006-12-06 22:44:48 UTC
QE ack for RHEL5.  Bug in new feature/funtion.

Comment 7 Don Zickus 2006-12-14 16:57:00 UTC
in 2.6.18-1.2876.el5

Comment 8 RHEL Product and Program Management 2006-12-23 02:03:25 UTC
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.



Note You need to log in before you can comment on or make changes to this bug.